# DBus-C++

## Desktop Communication Bus System

libdbus-c-- Documentation 0.9.0

- Files
- Data Structures
- Globals
- Main Page

Public Attributes | List of all members
DBus::IntrospectedProperty Struct Reference

`#include <introspection.h>`

## Public Attributes

const char * | name
const char * | type
const bool | read
const bool | write

## Detailed Description

Definition at line 47 of file introspection.h.

## Member Data Documentation

## ◆ name

const char* DBus::IntrospectedProperty::name

Definition at line 49 of file introspection.h.

Referenced by DBus::IntrospectableAdaptor::Introspect().

## ◆ read

const bool DBus::IntrospectedProperty::read

Definition at line 51 of file introspection.h.

## ◆ type

const char* DBus::IntrospectedProperty::type

Definition at line 50 of file introspection.h.

## ◆ write

const bool DBus::IntrospectedProperty::write

Definition at line 52 of file introspection.h.

The documentation for this struct was generated from the following file:

- introspection.h